QTVCP(1)

NAME
qtvcp - Qt-based virtual control panels

SYNOPSIS
qtvcp [OPTIONS] myfile.ui

DESCRIPTION
QtVCP is a system for creating user interfaces for LinuxCNC.

Full documentation at http://linuxcnc.org/docs/html/gui/qtvcp.html

OPTIONS

-h, --help
    Show this help message and exit.

-c [<NAME>]
    Set component name to NAME. Default is basename of UI file.

-a  Set the window to always be on top.

-d  Enable debug output.

-v  Enable verbose debug output.

-q  Enable only error debug output.

-g [<GEOMETRY>]
    Set geometry WIDTHxHEIGHT+XOFFSET+YOFFSET. Values are in pixel units, XOFFSET/YOFFSET is referenced from top left of screen. Use -g WIDTHxHEIGHT for just setting size or -g +XOFFSET+YOFFSET for just position.

    Example: -g 200x400+0+100.

-H [<FILE>]
    Execute HAL statements from FILE with halcmd after the component is set up and ready.

-i  Enable info output.

-m  Force panel window to maximize.

-f  Force panel window to fullscreen.

-t [<THEME>]
    Set Qt style. Default is system theme.

-x [<XID>]
    Reparent QtVCP into an existing window XID instead of creating a new top level window.

--push_xid
    Reparent window into a plug add push the plug xid number to standardout.

-u [<USERMOD>]
    File path of user defined handler file.

-o [<USEROPTS>]
    Pass USEROPTS strings to handler under self.w.USEROPTIONS_ list variable.

SEE ALSO
LinuxCNC(1)

Much more information about LinuxCNC and HAL is available in the LinuxCNC and HAL User Manuals, found at /usr/share/doc/LinuxCNC/.

BUGS
None known at this time.

AUTHOR
This man page written by andypugh, as part of the LinuxCNC project.

REPORTING BUGS
Report bugs at https://github.com/LinuxCNC/linuxcnc/issues

COPYRIGHT
Copyright © 2020 andypugh.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.